import request from '@/utils/request'
import state from '@/store'
import router from '@/router'
// 初始化机床项目
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'PDM_项目名称_查询数据'
    }
  })
}
// 组件查询
export function searchgroup(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'PDM_组件名称_查询数据',
      param: '机床流水号=' + num
    }
  })
}
// 机床查询
export function searchTable1(machineNumberValue, check2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间装配管理_机床信息_查询数据',
      param: '机床流水号_check=' + check2 + '&机床流水号=' + machineNumberValue
    }
  })
}
export function editData(machineNumberValue, num1, num2, num3, num4) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: 'PDM_机床名称_机床状态_修改数据_编辑',
      param: '机床流水号=' + machineNumberValue + '&机床装配开始时间=' + num1 + '=datetime' + '&机床装配实际完成时间=' + num2 + '=datetime' + '&调试开始时间=' + num3 + '=datetime' + '&调试结束时间=' + num4 + '=datetime'
    }
  })
}
// // 组件查询
// export function searchTable2(machineNumberValue, check2, groupNumberValue, check3) {
//   return request({
//     url: '',
//     method: 'post',
//     data: {
//       type: '1',
//       name: '车间管理_基本件采购_查询数据',
//       param: '机床流水号_check=' + check2 + '&机床流水号=' + machineNumberValue + '&组件流水号_check=' + check3 + '&组件流水号=' + groupNumberValue
//     }
//   })
// }
// 机床名称_机床状态_修改数据
export function MachineToolStateUpdate(machineNumberValue, check) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: 'PDM_机床名称_机床状态_修改数据',
      param: '机床流水号=' + machineNumberValue + '&装配状态=' + check
    }
  })
}

// 机床名称_调试状态_修改数据
export function DebugStatusUpdate(machineNumberValue, check) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: 'PDM_机床名称_调试状态_修改数据',
      param: '机床流水号=' + machineNumberValue + '&调试状态=' + check
    }
  })
}

// 组件名称_组件状态_修改数据
export function ComponentStateUpdate() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间管理_工作计划_执行计划',
      param: '计划流水号=' + arguments[0] + '&是否工作=' + arguments[1]
    }
  })
}
// 车间管理_工作计划_查询
// 2019/8/3 16:40:23
export function searchTable2() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间管理_工作计划_查询',
      param: '机床流水号=' + arguments[0] + '&计划类型=' + arguments[1]
    }
  })
}
// 车间管理_工作计划_执行计划_编辑
export function submitTable2() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: '车间管理_工作计划_执行计划_编辑',
      param: '备注=' + arguments[0] + '&计划流水号=' + arguments[1] + '&实际工时=' + arguments[2] + '&修补工时=' + arguments[3]
    }
  })
}
